Bug 848491 - systemctl enable nut-driver.service fails to work
systemctl enable nut-driver.service fails to work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 14:42 EDT by Trever Adams
Modified: 2012-08-20 06:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 03:46:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2012-08-15 14:42:03 EDT
Description of problem:
# systemctl enable nut-driver.service 
The unit files have no [Install] section. They are not meant to be enabled using systemctl.


Version-Release number of selected component (if applicable):
nut-2.6.4-1.fc17.x86_64
nut-client-2.6.4-1.fc17.x86_64


How reproducible:
Everytime


Additional info:
I am still working on learning systemd stuff, I tried adding the Install section and an "WantedBy=" line. Nothing there works.
Comment 1 Michal Hlavinka 2012-08-16 03:46:16 EDT
NOTABUG
You don't want to enable nut-driver by hand, it's started only on demand.
a)you have locally attached ups, then you need nut-server.service (it has Requires=nut-driver.service so it will start nut-driver.service itself) and (in most cases also) nut-client.service

b)ups is attached to different computer and you want to know its status, then you need nut-client.service only
Comment 2 Trever Adams 2012-08-16 14:14:36 EDT
# service nut-client restart
Redirecting to /bin/systemctl restart  nut-client.service
Failed to issue method call: Unit nut-client.service failed to load: No such file or directory. See system logs and 'systemctl status nut-client.service' for details.

I forgot to include this in my initial report. Sorry. Did you mean nut-monitor?
Comment 3 Michal Hlavinka 2012-08-20 06:43:17 EDT
> I forgot to include this in my initial report. Sorry. Did you mean
> nut-monitor?

Yes, it should be nut-monitor.service from nut-client rpm package

Note You need to log in before you can comment on or make changes to this bug.